Comment 111 for bug 33617

Tormod Volden (tormodvolden) wrote :

@Gabriel M:
> @ Tormod: What do we have to do to test the patch, anyways? It seems an earlier version was provided in .deb format, but I assume for this one we have to get the src deb, patch, then hopefully a debian command can auto-compile and package the whole thing? If you give simple instructions I can follow in 15min, I'll try and test it when I do my test installs on Saturday. But as much as I'd like to, I can't spend hours digging through wiki pages.

How to build a driver is summarized on https://wiki.ubuntu.com/XorgOnTheEdge . I appreciate you don't have time to read wiki pages, but I won't repeat here what I already wrote in the wiki page.

> I'm concerned about the number of manual fixes that might be required to get Intrepid working on this T22. Will I be able to tell it's user to apply critical updates when they come up, or will I constantly fear that the updates overwrite my fixes?

If you have customized your xorg.conf, it won't be overwritten by a package update.

@Chris:
Thanks for trying the patch. IMO we should just default to PCI for the savage driver, and let people enable AGP in their xorg.conf if they want.